package com.capgemini.framework.teamcenter.exceptions;

/** Error occurring if the resolution structure doesn't work. */
public class EmptyNomenclatureException extends KurtException {

    private static final long serialVersionUID = -3412885624655787481L;

    /**
     * Constructor.
     * 
     * @param aMessage String - the message
     */
    public EmptyNomenclatureException(final String aMessage) {
        super(aMessage);
    }

    /**
     * Constructor.
     * 
     * @param aMessage String - the message
     * @param anException {@link Throwable} - the exception
     */
    public EmptyNomenclatureException(final String aMessage, final Throwable anException) {
        super(aMessage, anException);
    }

    /**
     * Constructor.
     * 
     * @param anException {@link Throwable} - the exception
     */
    public EmptyNomenclatureException(final Throwable anException) {
        super(anException.getMessage(), anException);
    }
}
